# ModelElement

@Incubating
interface ModelElement : Named

Represents an element in a model. Elements are arranged in a hierarchy.

#### Inheritors

ComponentSpec
VariantComponent
ModelMap
ModelSet

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns a human-consumable display name for this element.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of this element.